import { EventEmitter, TemplateRef } from "@angular/core";
import { NgPolandMapPoint, NgPolandMapRegion, Voivodeship } from "./config";
import * as i0 from "@angular/core";
export declare class NgPolandMapComponent {
    regions: NgPolandMapRegion[];
    cities: NgPolandMapPoint[];
    bgColor: string;
    regionColor: string;
    strokeWidth: number;
    strokeColor: string;
    highlightColor: string;
    pointColor: string;
    pointSize: number;
    regionsClickable: boolean;
    pointersClickable: boolean;
    highlightedRegions: NgPolandMapRegion[] | undefined;
    highlightedCities: NgPolandMapPoint[] | undefined;
    pointerTemplate: TemplateRef<Element> | undefined;
    regionClicked: EventEmitter<Voivodeship>;
    pointClicked: EventEmitter<NgPolandMapPoint>;
    ngOnInit(): void;
    regionFillColor(region: Voivodeship): string;
    regionClick(region: NgPolandMapRegion["voivodeship"]): void;
    pointClick(point: NgPolandMapPoint): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgPolandMapComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgPolandMapComponent, "ng-poland-map", never, { "bgColor": { "alias": "bgColor"; "required": false; }; "regionColor": { "alias": "regionColor"; "required": false; }; "strokeWidth": { "alias": "strokeWidth"; "required": false; }; "strokeColor": { "alias": "strokeColor"; "required": false; }; "highlightColor": { "alias": "highlightColor"; "required": false; }; "pointColor": { "alias": "pointColor"; "required": false; }; "pointSize": { "alias": "pointSize"; "required": false; }; "regionsClickable": { "alias": "regionsClickable"; "required": false; }; "pointersClickable": { "alias": "pointersClickable"; "required": false; }; "highlightedRegions": { "alias": "highlightedRegions"; "required": false; }; "highlightedCities": { "alias": "highlightedCities"; "required": false; }; "pointerTemplate": { "alias": "pointerTemplate"; "required": false; }; }, { "regionClicked": "regionClicked"; "pointClicked": "pointClicked"; }, never, never, true, never>;
}
